Bug 1251733 - atmel digitizer pen not recognised
atmel digitizer pen not recognised
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 07:44 EDT by Alphonse Steiner
Modified: 2016-07-19 13:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:25:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alphonse Steiner 2015-08-09 07:44:26 EDT
Description of problem:
The laptop (toshiba z20t) has a digitizer touchscreen:
Bus 001 Device 005: ID 03eb:8a55 Atmel Corp. 

The touchscreen works, but the digitizer pen does not.
Only the touchscreen appears in the input list:
$ xinput
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Atmel touch                             	id=10	[slave  pointer  (2)]
⎜   ↳ AlpsPS/2 ALPS DualPoint TouchPad        	id=13	[slave  pointer  (2)]
⎜   ↳ AlpsPS/2 ALPS DualPoint Stick           	id=14	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Power Button                            	id=8	[slave  keyboard (3)]
    ↳ TOSHIBA Web Camera - 5M                 	id=11	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=12	[slave  keyboard (3)]
    ↳ Toshiba input device                    	id=15	[slave  keyboard (3)]
    ↳ TOSHIBA Web Camera - FHD                	id=9	[slave  keyboard (3)]

The Xorg log shows with the default configuration:

[ 10160.671] (II) config/udev: Adding input device Atmel (/dev/input/event6)
[ 10160.671] (**) Atmel: Applying InputClass "evdev touchscreen catchall"
[ 10160.671] (**) Atmel: Applying InputClass "libinput touchscreen catchall"
[ 10160.671] (II) Using input driver 'libinput' for 'Atmel'
[ 10160.671] (**) Atmel: always reports core events
[ 10160.671] (**) Option "Device" "/dev/input/event6"
[ 10160.723] (II) input device 'Atmel', /dev/input/event6 is tagged by udev as: Touchscreen
[ 10160.723] (II) input device 'Atmel', /dev/input/event6 is a touch device
[ 10160.732] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.1/0003:03EB:8A55.0003/input/input8/event6"
[ 10160.732] (II) XINPUT: Adding extended input device "Atmel" (type: TOUCHSCREEN, id 10)
[ 10160.732] (**) Option "AccelerationScheme" "none"
[ 10160.732] (**) Atmel: (accel) selected scheme none/0
[ 10160.732] (**) Atmel: (accel) acceleration factor: 2.000
[ 10160.732] (**) Atmel: (accel) acceleration threshold: 4
[ 10160.783] (II) input device 'Atmel', /dev/input/event6 is tagged by udev as: Touchscreen
[ 10160.783] (II) input device 'Atmel', /dev/input/event6 is a touch device
[ 10160.784] (II) config/udev: Adding input device Atmel (/dev/input/mouse1)
[ 10160.784] (II) No input driver specified, ignoring this device.

If I try to use the wacom driver, the touchscreen handle the gestures, but the pen is still not handled:
[ 20214.772] (II) config/udev: Adding input device Atmel (/dev/input/mouse2)
[ 20214.772] (**) Atmel: Applying InputClass "digitizer - local settings"
[ 20214.772] (II) Using input driver 'wacom' for 'Atmel'
[ 20214.772] (**) Atmel: always reports core events
[ 20214.772] (**) Option "Device" "/dev/input/mouse2"
[ 20214.772] (**) Option "Type" "stylus"
[ 20214.773] (EE) Atmel: usbDetect: can not ioctl version
[ 20214.773] (EE) Atmel: cannot identify device class.
[ 20214.780] (EE) PreInit returned 8 for "Atmel"
[ 20214.780] (II) UnloadModule: "wacom"


Dmesg returns:
# dmesg|grep -i atmel
[    3.350629] usb 1-6: Manufacturer: Atmel
[    3.357255] hid-generic 0003:03EB:8A55.0002: hiddev0,hidraw0: USB HID v1.11 Device [Atmel] on usb-0000:00:14.0-6/input0
[    3.436157] input: Atmel as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.1/0003:03EB:8A55.0003/input/input7
[    3.461992] hid-multitouch 0003:03EB:8A55.0003: input,hidraw1: USB HID v1.11 Device [Atmel] on usb-0000:00:14.0-6/input1


Expected results:
The atmel digitizer pen should appear in the xinput list, and the pen should work with the touchscreen (using the wacom driver probably).
Comment 1 Justin M. Forbes 2015-10-20 15:27:49 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Alphonse Steiner 2015-10-21 13:09:28 EDT
I confirm that the same issue appears with the last kernel (4.2.3-200.fc22), with the same log messages.
Comment 3 Fedora End Of Life 2016-07-19 13:25:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.